net.sourceforge.pmd.cpd

## Class FortranTokenizerTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.AbstractTokenizerTest
  - - net.sourceforge.pmd.cpd.FortranTokenizerTest

-     public class FortranTokenizerTest
      extends AbstractTokenizerTest

  Author:
    rpelisse

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.testframework.AbstractTokenizerTest

      `expectedTokenCount, sourceCode, tokenizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FortranTokenizerTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildTokenizer()`
    `String` | `getSampleCode()`
    `static junit.framework.Test` | `suite()`
    `void` | `tokenizeTest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FortranTokenizerTest

          public FortranTokenizerTest()

  - ### Method Detail

    - #### buildTokenizer

          public void buildTokenizer()

      Specified by:
        `buildTokenizer` in class `AbstractTokenizerTest`

    - #### getSampleCode

          public String getSampleCode()

      Specified by:
        `getSampleCode` in class `AbstractTokenizerTest`

    - #### tokenizeTest

          public void tokenizeTest()
                            throws IOException

      Overrides:
        `tokenizeTest` in class `AbstractTokenizerTest`
      Throws:
        `IOException`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.